Subject: Re: linux-next: build failure after merge of the device-mapper tree

From: Jens Axboe <[email-masked]>
Date: Thu, 31 May 2018 08:22:28 -0600

On 5/31/18 8:20 AM, Jens Axboe wrote:
> On 5/31/18 6:10 AM, Mike Snitzer wrote:
>> On Thu, May 31 2018 at 12:35am -0400,
>> Jens Axboe <[email-masked]> wrote:
>>
>>> On May 30, 2018, at 10:23 PM, Stephen Rothwell <[email-masked]> wrote:
>>>>
>>>> Hi all,
>>>>
>>>> After merging the device-mapper tree, today's linux-next build (x86_64
>>>> allmodconfig) failed like this:
>>>>
>>>> drivers/md/dm-writecache.c: In function 'writecache_dtr':
>>>> drivers/md/dm-writecache.c:1799:3: error: implicit declaration of function 'bioset_free'; did you mean 'bvec_free'? [-Werror=implicit-function-declaration]
>>>>   bioset_free(wc->bio_set);
>>>>   ^~~~~~~~~~~
>>>>   bvec_free
>>>> drivers/md/dm-writecache.c: In function 'writecache_ctr':
>>>> drivers/md/dm-writecache.c:1929:17: error: implicit declaration of function 'bioset_create'; did you mean 'bioset_exit'? [-Werror=implicit-function-declaration]
>>>>   wc->bio_set = bioset_create(BIO_POOL_SIZE,
>>>>                 ^~~~~~~~~~~~~
>>>>                 bioset_exit
>>>> drivers/md/dm-writecache.c:1929:15: warning: assignment makes pointer from integer without a cast [-Wint-conversion]
>>>>   wc->bio_set = bioset_create(BIO_POOL_SIZE,
>>>>               ^
>>>>
>>>> Caused by commit
>>>>
>>>>  2105231db61b ("dm: add writecache target")
>>>>
>>>> interacting with commit
>>>>
>>>>  dad08527525f ("block: Drop bioset_create()")
>>>>
>>>> from the block tree.
>>>>
>>>> Can we please consider not immediately dropping APIs if at all
>>>> possible. :-(
>>>
>>> I’ll drop the last patch, we can do that at the end of the merge window instead. 
>>>
>>
>> FYI, I've since updated dm-writecache to use the new APIs
> 
> Thanks Mike. I've rebased for-4.18/block to fold a bug fix for the
> bounce code, and drop the patch that gets rid of the old API. When
> we get to the end of the merge window, I'll push that last patch.
> That's much more sensible, how it should have been done from the
> get-go.

Actually, maybe I should roll them back, since you both fixed that
up AND based on my tree - which is of course totally fine, but
now I'm thinking the rebase will do more harm than good in this
case.

-- 
Jens Axboe